" Name:         Artesanal
" Description:  A Vim colorscheme with light and dark variants originally based on Material Design (now strongly modified to my likings).
" Author:       Stefan Wimmer <wimstefan@gmail.com>
" Maintainer:   Stefan Wimmer <wimstefan@gmail.com>
" Website:      https://github.com/wimstefan/vim-artesanal
" License:      Vim License (see `:help license`)
" Last Updated: Sun 15 Mar 2020 02:36:29 PM CET

" Generated by Colortemplate v2.0.0

hi clear
if exists('syntax_on')
  syntax reset
endif

let g:colors_name = 'artesanal'

let s:t_Co = exists('&t_Co') && !empty(&t_Co) && &t_Co > 1 ? &t_Co : 2
let s:italics = (&t_ZH != '' && &t_ZH != '[7m') || has('gui_running') || has('nvim')

if (has('termguicolors') && &termguicolors) || has('gui_running')
  if &background ==# 'dark'
    let g:terminal_ansi_colors = ['#575c66', '#e84256', '#00bf8a', '#fff176',
          \ '#6699cc', '#fa75e2', '#00bbcc', '#ffffff', '#121419', '#dc1b33',
          \ '#008c65', '#e5d85c', '#517aa3', '#f844d8', '#0095a3', '#eff1f4']
    if has('nvim')
      let g:terminal_color_0 = '#575c66'
      let g:terminal_color_1 = '#e84256'
      let g:terminal_color_2 = '#00bf8a'
      let g:terminal_color_3 = '#fff176'
      let g:terminal_color_4 = '#6699cc'
      let g:terminal_color_5 = '#fa75e2'
      let g:terminal_color_6 = '#00bbcc'
      let g:terminal_color_7 = '#ffffff'
      let g:terminal_color_8 = '#121419'
      let g:terminal_color_9 = '#dc1b33'
      let g:terminal_color_10 = '#008c65'
      let g:terminal_color_11 = '#e5d85c'
      let g:terminal_color_12 = '#517aa3'
      let g:terminal_color_13 = '#f844d8'
      let g:terminal_color_14 = '#0095a3'
      let g:terminal_color_15 = '#eff1f4'
    endif
    if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
      hi Normal guifg=#e4e6eb guibg=NONE guisp=NONE gui=NONE cterm=NONE
      hi CursorLineNr guifg=#fff176 guibg=NONE guisp=NONE gui=NONE cterm=NONE
      hi FoldColumn guifg=#575c66 guibg=NONE guisp=NONE gui=NONE cterm=NONE
      hi SignColumn guifg=#cdd2db guibg=NONE guisp=NONE gui=NONE cterm=NONE
      hi VertSplit guifg=#546e7a guibg=NONE guisp=NONE gui=NONE cterm=NONE
    else
      hi Normal guifg=#e4e6eb guibg=#2e3440 guisp=NONE gui=NONE cterm=NONE
      hi CursorLineNr guifg=#fff176 guibg=#37474f guisp=NONE gui=NONE cterm=NONE
      hi FoldColumn guifg=#575c66 guibg=#37474f guisp=NONE gui=NONE cterm=NONE
      hi SignColumn guifg=#cdd2db guibg=#37474f guisp=NONE gui=NONE cterm=NONE
      hi VertSplit guifg=#546e7a guibg=#2e3440 guisp=NONE gui=NONE cterm=NONE
    endif
    hi ColorColumn guifg=NONE guibg=#37474f guisp=NONE gui=bold cterm=bold
    hi Conceal guifg=#6699cc guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi Cursor guifg=NONE guibg=NONE guisp=NONE gui=bold,reverse ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn guifg=NONE guibg=NONE guisp=NONE gui=bold,italic ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi CursorLine guifg=NONE guibg=NONE guisp=NONE gui=bold,italic ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi DiffAdd guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi DiffAdded guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi DiffChange guifg=#aec0e0 guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi DiffDelete guifg=#ddabbc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi DiffRemoved guifg=#ddabbc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi DiffText guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi Directory guifg=#6699cc guibg=NONE guisp=NONE gui=bold cterm=bold
    hi EndOfBuffer guifg=#2e3440 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi Error guifg=#e84256 guibg=NONE guisp=NONE gui=bold,standout cterm=bold,standout
    hi! link ErrorMsg Error
    hi Folded guifg=#546e7a guibg=#37474f guisp=NONE gui=italic cterm=italic
    hi IncSearch guifg=#fff176 guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi LineNr guifg=#546e7a guibg=#37474f guisp=NONE gui=NONE cterm=NONE
    hi MatchParen guifg=NONE guibg=#455a64 guisp=NONE gui=bold cterm=bold
    hi ModeMsg guifg=#6699cc guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi MoreMsg guifg=#00bf8a guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi NonText guifg=#90a4ae guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi Pmenu guifg=#e4e6eb guibg=#455a64 guisp=NONE gui=NONE cterm=NONE
    hi PmenuSbar guifg=NONE guibg=#455a64 guisp=NONE gui=NONE cterm=NONE
    hi PmenuSel guifg=#37474f guibg=#cdd2db guisp=NONE gui=bold cterm=bold
    hi PmenuThumb guifg=NONE guibg=#90a4ae guisp=NONE gui=NONE cterm=NONE
    hi Question guifg=#e5d85c guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search guifg=#ffffa8 guibg=#121419 guisp=NONE gui=reverse cterm=reverse
    hi SpecialKey guifg=#90a4ae guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi SpellBad guifg=#e84256 guibg=NONE guisp=#e84256 gui=italic,undercurl cterm=italic,undercurl
    hi SpellCap guifg=#6699cc guibg=NONE guisp=#6699cc gui=italic,undercurl cterm=italic,undercurl
    hi SpellLocal guifg=#00bbcc guibg=NONE guisp=#00bbcc gui=italic,undercurl cterm=italic,undercurl
    hi SpellRare guifg=#fa75e2 guibg=NONE guisp=#fa75e2 gui=italic,undercurl cterm=italic,undercurl
    hi StatusLine guifg=#455a64 guibg=#e4e6eb guisp=NONE gui=reverse cterm=reverse
    hi StatusLineNC guifg=#37474f guibg=#cdd2db guisp=NONE gui=reverse cterm=reverse
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill guifg=#cdd2db guibg=#546e7a guisp=NONE gui=NONE cterm=NONE
    hi TabLineSel guifg=#e4e6eb guibg=#37474f guisp=NONE gui=NONE cterm=NONE
    hi Title guifg=#eff1f4 guibg=NONE guisp=NONE gui=bold cterm=bold
    hi Visual guifg=NONE guibg=#37474f guisp=NONE gui=NONE cterm=NONE
    hi! link VisualNOS Visual
    hi WarningMsg guifg=#e84256 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi WildMenu guifg=#6699cc guibg=#455a64 guisp=NONE gui=bold cterm=bold
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment guifg=#b6bdcb guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link Conditional Statement
    hi Constant guifg=#00bf8a guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Function guifg=#00bbcc guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi Identifier guifg=#6699cc guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi Ignore guifg=fg guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi PreProc guifg=#00bbcc guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi Statement guifg=#e84256 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link StorageClass Type
    hi Special guifg=#fff176 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Todo guifg=#00bbcc guibg=NONE guisp=NONE gui=reverse cterm=reverse
    hi Type guifg=#0095a3 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined guifg=NONE guibg=NONE guisp=NONE gui=underline ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM guifg=NONE guibg=NONE guisp=NONE gui=reverse ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine guifg=NONE guibg=#546e7a guisp=NONE gui=NONE cterm=NONE
    hi ToolbarButton guifg=#eff1f4 guibg=#546e7a guisp=NONE gui=bold cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode guifg=#cdd2db guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    hi InsertMode guifg=#6699cc guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    hi ReplaceMode guifg=#00bbcc guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    hi VisualMode guifg=#fff176 guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    hi CommandMode guifg=#fa75e2 guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    hi Warnings guifg=#fff176 guibg=#2e3440 guisp=NONE gui=reverse cterm=reverse
    if !s:italics
      hi CursorColumn gui=bold cterm=bold
      hi CursorLine gui=bold cterm=bold
      hi Folded gui=NONE cterm=NONE
      hi SpellBad gui=undercurl cterm=undercurl
      hi SpellCap gui=undercurl cterm=undercurl
      hi SpellLocal gui=undercurl cterm=undercurl
      hi SpellRare gui=undercurl cterm=undercurl
    endif
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC guifg=#37474f guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  let g:terminal_ansi_colors = ['#121419', '#971223', '#00814b', '#cc7000',
        \ '#00409b', '#9a008d', '#007681', '#eff1f4', '#575c66', '#ae1528',
        \ '#009a5a', '#ff8c00', '#004bb4', '#b300a4', '#008d9a', '#ffffff']
  if has('nvim')
    let g:terminal_color_0 = '#121419'
    let g:terminal_color_1 = '#971223'
    let g:terminal_color_2 = '#00814b'
    let g:terminal_color_3 = '#cc7000'
    let g:terminal_color_4 = '#00409b'
    let g:terminal_color_5 = '#9a008d'
    let g:terminal_color_6 = '#007681'
    let g:terminal_color_7 = '#eff1f4'
    let g:terminal_color_8 = '#575c66'
    let g:terminal_color_9 = '#ae1528'
    let g:terminal_color_10 = '#009a5a'
    let g:terminal_color_11 = '#ff8c00'
    let g:terminal_color_12 = '#004bb4'
    let g:terminal_color_13 = '#b300a4'
    let g:terminal_color_14 = '#008d9a'
    let g:terminal_color_15 = '#ffffff'
  endif
  if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
    hi Normal guifg=#37474f guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi CursorLineNr guifg=#ff8c00 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi FoldColumn guifg=#575c66 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi SignColumn guifg=#455a64 guibg=NONE guisp=NONE gui=NONE cterm=NONE
    hi VertSplit guifg=#b6bdcb guibg=NONE guisp=NONE gui=NONE cterm=NONE
  else
    hi Normal guifg=#37474f guibg=#eff1f4 guisp=NONE gui=NONE cterm=NONE
    hi CursorLineNr guifg=#ff8c00 guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
    hi FoldColumn guifg=#575c66 guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
    hi SignColumn guifg=#455a64 guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
    hi VertSplit guifg=#b6bdcb guibg=#eff1f4 guisp=NONE gui=NONE cterm=NONE
  endif
  hi ColorColumn guifg=NONE guibg=#e4e6eb guisp=NONE gui=bold cterm=bold
  hi Conceal guifg=#004bb4 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi Cursor guifg=NONE guibg=NONE guisp=NONE gui=bold,reverse ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn guifg=NONE guibg=NONE guisp=NONE gui=bold,italic ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi CursorLine guifg=NONE guibg=NONE guisp=NONE gui=bold,italic ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi DiffAdd guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi DiffAdded guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi DiffChange guifg=#aec0e0 guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi DiffDelete guifg=#ddabbc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi DiffRemoved guifg=#ddabbc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi DiffText guifg=#abddcc guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi Directory guifg=#004bb4 guibg=NONE guisp=NONE gui=bold cterm=bold
  hi EndOfBuffer guifg=#eff1f4 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi Error guifg=#ae1528 guibg=NONE guisp=NONE gui=bold,standout cterm=bold,standout
  hi! link ErrorMsg Error
  hi Folded guifg=#b6bdcb guibg=#e4e6eb guisp=NONE gui=italic cterm=italic
  hi IncSearch guifg=#ff8c00 guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi LineNr guifg=#b6bdcb guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
  hi MatchParen guifg=NONE guibg=#cdd2db guisp=NONE gui=bold cterm=bold
  hi ModeMsg guifg=#004bb4 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi MoreMsg guifg=#009a5a guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi NonText guifg=#9fa8ba guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi Pmenu guifg=#37474f guibg=#cdd2db guisp=NONE gui=NONE cterm=NONE
  hi PmenuSbar guifg=NONE guibg=#cdd2db guisp=NONE gui=NONE cterm=NONE
  hi PmenuSel guifg=#e4e6eb guibg=#455a64 guisp=NONE gui=bold cterm=bold
  hi PmenuThumb guifg=NONE guibg=#9fa8ba guisp=NONE gui=NONE cterm=NONE
  hi Question guifg=#cc7000 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search guifg=#ffc57f guibg=#121419 guisp=NONE gui=reverse cterm=reverse
  hi SpecialKey guifg=#9fa8ba guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi SpellBad guifg=#ae1528 guibg=NONE guisp=#ae1528 gui=italic,undercurl cterm=italic,undercurl
  hi SpellCap guifg=#004bb4 guibg=NONE guisp=#004bb4 gui=italic,undercurl cterm=italic,undercurl
  hi SpellLocal guifg=#008d9a guibg=NONE guisp=#008d9a gui=italic,undercurl cterm=italic,undercurl
  hi SpellRare guifg=#b300a4 guibg=NONE guisp=#b300a4 gui=italic,undercurl cterm=italic,undercurl
  hi StatusLine guifg=#cdd2db guibg=#37474f guisp=NONE gui=reverse cterm=reverse
  hi StatusLineNC guifg=#e4e6eb guibg=#455a64 guisp=NONE gui=reverse cterm=reverse
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill guifg=#455a64 guibg=#b6bdcb guisp=NONE gui=NONE cterm=NONE
  hi TabLineSel guifg=#37474f guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
  hi Title guifg=#2e3440 guibg=NONE guisp=NONE gui=bold cterm=bold
  hi Visual guifg=NONE guibg=#e4e6eb guisp=NONE gui=NONE cterm=NONE
  hi! link VisualNOS Visual
  hi WarningMsg guifg=#ae1528 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi WildMenu guifg=#004bb4 guibg=#cdd2db guisp=NONE gui=bold cterm=bold
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment guifg=#546e7a guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link Conditional Statement
  hi Constant guifg=#009a5a guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Function guifg=#008d9a guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi Identifier guifg=#004bb4 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi Ignore guifg=fg guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi PreProc guifg=#008d9a guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi Statement guifg=#ae1528 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link StorageClass Type
  hi Special guifg=#ff8c00 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Todo guifg=#008d9a guibg=NONE guisp=NONE gui=reverse cterm=reverse
  hi Type guifg=#007681 guibg=NONE guisp=NONE gui=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined guifg=NONE guibg=NONE guisp=NONE gui=underline ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM guifg=NONE guibg=NONE guisp=NONE gui=reverse ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine guifg=NONE guibg=#b6bdcb guisp=NONE gui=NONE cterm=NONE
  hi ToolbarButton guifg=#2e3440 guibg=#b6bdcb guisp=NONE gui=bold cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode guifg=#455a64 guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  hi InsertMode guifg=#004bb4 guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  hi ReplaceMode guifg=#008d9a guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  hi VisualMode guifg=#ff8c00 guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  hi CommandMode guifg=#b300a4 guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  hi Warnings guifg=#ff8c00 guibg=#eff1f4 guisp=NONE gui=reverse cterm=reverse
  if !s:italics
    hi CursorColumn gui=bold cterm=bold
    hi CursorLine gui=bold cterm=bold
    hi Folded gui=NONE cterm=NONE
    hi SpellBad gui=undercurl cterm=undercurl
    hi SpellCap gui=undercurl cterm=undercurl
    hi SpellLocal gui=undercurl cterm=undercurl
    hi SpellRare gui=undercurl cterm=undercurl
  endif
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC guifg=#e4e6eb guibg=#37474f guisp=NONE gui=NONE cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

if s:t_Co >= 256
  if &background ==# 'dark'
    if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
      hi Normal ctermfg=254 ctermbg=NONE cterm=NONE
      hi CursorLineNr ctermfg=228 ctermbg=NONE cterm=NONE
      hi FoldColumn ctermfg=59 ctermbg=NONE cterm=NONE
      hi SignColumn ctermfg=252 ctermbg=NONE cterm=NONE
      hi VertSplit ctermfg=242 ctermbg=NONE cterm=NONE
    else
      hi Normal ctermfg=254 ctermbg=236 cterm=NONE
      if !has('patch-8.0.0616') && !has('nvim') " Fix for Vim bug
        set background=dark
      endif
      hi CursorLineNr ctermfg=228 ctermbg=238 cterm=NONE
      hi FoldColumn ctermfg=59 ctermbg=238 cterm=NONE
      hi SignColumn ctermfg=252 ctermbg=238 cterm=NONE
      hi VertSplit ctermfg=242 ctermbg=236 cterm=NONE
    endif
    hi ColorColumn ctermfg=NONE ctermbg=238 cterm=bold
    hi Conceal ctermfg=67 ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi CursorLine ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi DiffAdd ctermfg=152 ctermbg=233 cterm=reverse
    hi DiffAdded ctermfg=152 ctermbg=233 cterm=reverse
    hi DiffChange ctermfg=153 ctermbg=233 cterm=reverse
    hi DiffDelete ctermfg=181 ctermbg=233 cterm=reverse
    hi DiffRemoved ctermfg=181 ctermbg=233 cterm=reverse
    hi DiffText ctermfg=152 ctermbg=233 cterm=reverse
    hi Directory ctermfg=67 ctermbg=NONE cterm=bold
    hi EndOfBuffer ctermfg=236 ctermbg=NONE cterm=NONE
    hi Error ctermfg=167 ctermbg=NONE cterm=bold,reverse
    hi! link ErrorMsg Error
    hi Folded ctermfg=242 ctermbg=238 cterm=NONE
    hi IncSearch ctermfg=228 ctermbg=233 cterm=reverse
    hi LineNr ctermfg=242 ctermbg=238 cterm=NONE
    hi MatchParen ctermfg=NONE ctermbg=240 cterm=bold
    hi ModeMsg ctermfg=67 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=36 ctermbg=NONE cterm=NONE
    hi NonText ctermfg=247 ctermbg=NONE cterm=NONE
    hi Pmenu ctermfg=254 ctermbg=240 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=240 cterm=NONE
    hi PmenuSel ctermfg=238 ctermbg=252 cterm=bold
    hi PmenuThumb ctermfg=NONE ctermbg=247 cterm=NONE
    hi Question ctermfg=185 ctermbg=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search ctermfg=229 ctermbg=233 cterm=reverse
    hi SpecialKey ctermfg=247 ctermbg=NONE cterm=NONE
    hi SpellBad ctermfg=167 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=67 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=37 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=206 ctermbg=NONE cterm=underline
    hi StatusLine ctermfg=240 ctermbg=254 cterm=reverse
    hi StatusLineNC ctermfg=238 ctermbg=252 cterm=reverse
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill ctermfg=252 ctermbg=242 cterm=NONE
    hi TabLineSel ctermfg=254 ctermbg=238 cterm=NONE
    hi Title ctermfg=255 ctermbg=NONE cterm=bold
    hi Visual ctermfg=NONE ctermbg=238 cterm=NONE
    hi! link VisualNOS Visual
    hi WarningMsg ctermfg=167 ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=67 ctermbg=240 cterm=bold
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment ctermfg=250 ctermbg=NONE cterm=NONE
    hi! link Conditional Statement
    hi Constant ctermfg=36 ctermbg=NONE cterm=NONE
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Function ctermfg=37 ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=67 ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi PreProc ctermfg=37 ctermbg=NONE cterm=NONE
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi Statement ctermfg=167 ctermbg=NONE cterm=NONE
    hi! link StorageClass Type
    hi Special ctermfg=228 ctermbg=NONE cterm=NONE
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Todo ctermfg=37 ctermbg=NONE cterm=reverse
    hi Type ctermfg=30 ctermbg=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine ctermfg=NONE ctermbg=242 cterm=NONE
    hi ToolbarButton ctermfg=255 ctermbg=242 cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode ctermfg=252 ctermbg=236 cterm=reverse
    hi InsertMode ctermfg=67 ctermbg=236 cterm=reverse
    hi ReplaceMode ctermfg=37 ctermbg=236 cterm=reverse
    hi VisualMode ctermfg=228 ctermbg=236 cterm=reverse
    hi CommandMode ctermfg=206 ctermbg=236 cterm=reverse
    hi Warnings ctermfg=228 ctermbg=236 cterm=reverse
    if !s:italics
      hi CursorColumn cterm=bold
      hi CursorLine cterm=bold
    endif
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC ctermfg=238 ctermbg=254 cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
    hi Normal ctermfg=238 ctermbg=NONE cterm=NONE
    hi CursorLineNr ctermfg=208 ctermbg=NONE cterm=NONE
    hi FoldColumn ctermfg=59 ctermbg=NONE cterm=NONE
    hi SignColumn ctermfg=240 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=250 ctermbg=NONE cterm=NONE
  else
    hi Normal ctermfg=238 ctermbg=255 cterm=NONE
    hi CursorLineNr ctermfg=208 ctermbg=254 cterm=NONE
    hi FoldColumn ctermfg=59 ctermbg=254 cterm=NONE
    hi SignColumn ctermfg=240 ctermbg=254 cterm=NONE
    hi VertSplit ctermfg=250 ctermbg=255 cterm=NONE
  endif
  hi ColorColumn ctermfg=NONE ctermbg=254 cterm=bold
  hi Conceal ctermfg=26 ctermbg=NONE cterm=NONE
  hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi CursorLine ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi DiffAdd ctermfg=152 ctermbg=233 cterm=reverse
  hi DiffAdded ctermfg=152 ctermbg=233 cterm=reverse
  hi DiffChange ctermfg=153 ctermbg=233 cterm=reverse
  hi DiffDelete ctermfg=181 ctermbg=233 cterm=reverse
  hi DiffRemoved ctermfg=181 ctermbg=233 cterm=reverse
  hi DiffText ctermfg=152 ctermbg=233 cterm=reverse
  hi Directory ctermfg=26 ctermbg=NONE cterm=bold
  hi EndOfBuffer ctermfg=255 ctermbg=NONE cterm=NONE
  hi Error ctermfg=124 ctermbg=NONE cterm=bold,reverse
  hi! link ErrorMsg Error
  hi Folded ctermfg=250 ctermbg=254 cterm=NONE
  hi IncSearch ctermfg=208 ctermbg=233 cterm=reverse
  hi LineNr ctermfg=250 ctermbg=254 cterm=NONE
  hi MatchParen ctermfg=NONE ctermbg=252 cterm=bold
  hi ModeMsg ctermfg=26 ctermbg=NONE cterm=NONE
  hi MoreMsg ctermfg=35 ctermbg=NONE cterm=NONE
  hi NonText ctermfg=248 ctermbg=NONE cterm=NONE
  hi Pmenu ctermfg=238 ctermbg=252 cterm=NONE
  hi PmenuSbar ctermfg=NONE ctermbg=252 cterm=NONE
  hi PmenuSel ctermfg=254 ctermbg=240 cterm=bold
  hi PmenuThumb ctermfg=NONE ctermbg=248 cterm=NONE
  hi Question ctermfg=166 ctermbg=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search ctermfg=215 ctermbg=233 cterm=reverse
  hi SpecialKey ctermfg=248 ctermbg=NONE cterm=NONE
  hi SpellBad ctermfg=124 ctermbg=NONE cterm=underline
  hi SpellCap ctermfg=26 ctermbg=NONE cterm=underline
  hi SpellLocal ctermfg=30 ctermbg=NONE cterm=underline
  hi SpellRare ctermfg=127 ctermbg=NONE cterm=underline
  hi StatusLine ctermfg=252 ctermbg=238 cterm=reverse
  hi StatusLineNC ctermfg=254 ctermbg=240 cterm=reverse
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill ctermfg=240 ctermbg=250 cterm=NONE
  hi TabLineSel ctermfg=238 ctermbg=254 cterm=NONE
  hi Title ctermfg=236 ctermbg=NONE cterm=bold
  hi Visual ctermfg=NONE ctermbg=254 cterm=NONE
  hi! link VisualNOS Visual
  hi WarningMsg ctermfg=124 ctermbg=NONE cterm=NONE
  hi WildMenu ctermfg=26 ctermbg=252 cterm=bold
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment ctermfg=242 ctermbg=NONE cterm=NONE
  hi! link Conditional Statement
  hi Constant ctermfg=35 ctermbg=NONE cterm=NONE
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Function ctermfg=30 ctermbg=NONE cterm=NONE
  hi Identifier ctermfg=26 ctermbg=NONE cterm=NONE
  hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi PreProc ctermfg=30 ctermbg=NONE cterm=NONE
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi Statement ctermfg=124 ctermbg=NONE cterm=NONE
  hi! link StorageClass Type
  hi Special ctermfg=208 ctermbg=NONE cterm=NONE
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Todo ctermfg=30 ctermbg=NONE cterm=reverse
  hi Type ctermfg=30 ctermbg=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine ctermfg=NONE ctermbg=250 cterm=NONE
  hi ToolbarButton ctermfg=236 ctermbg=250 cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode ctermfg=240 ctermbg=255 cterm=reverse
  hi InsertMode ctermfg=26 ctermbg=255 cterm=reverse
  hi ReplaceMode ctermfg=30 ctermbg=255 cterm=reverse
  hi VisualMode ctermfg=208 ctermbg=255 cterm=reverse
  hi CommandMode ctermfg=127 ctermbg=255 cterm=reverse
  hi Warnings ctermfg=208 ctermbg=255 cterm=reverse
  if !s:italics
    hi CursorColumn cterm=bold
    hi CursorLine cterm=bold
  endif
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC ctermfg=254 ctermbg=238 cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

if s:t_Co >= 16
  if &background ==# 'dark'
    if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
      hi Normal ctermfg=White ctermbg=NONE cterm=NONE
      hi CursorLineNr ctermfg=Yellow ctermbg=NONE cterm=NONE
      hi FoldColumn ctermfg=DarkGray ctermbg=NONE cterm=NONE
      hi SignColumn ctermfg=LightGrey ctermbg=NONE cterm=NONE
      hi VertSplit ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    else
      hi Normal ctermfg=White ctermbg=Black cterm=NONE
      hi CursorLineNr ctermfg=Yellow ctermbg=Black cterm=NONE
      hi FoldColumn ctermfg=DarkGray ctermbg=Black cterm=NONE
      hi SignColumn ctermfg=LightGrey ctermbg=Black cterm=NONE
      hi VertSplit ctermfg=DarkGrey ctermbg=Black cterm=NONE
    endif
    hi ColorColumn ctermfg=NONE ctermbg=Black cterm=bold
    hi Conceal ctermfg=Blue ctermbg=NONE cterm=NONE
    hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi CursorLine ctermfg=NONE ctermbg=NONE cterm=bold,italic
    hi DiffAdd ctermfg=LightGreen ctermbg=Black cterm=reverse
    hi DiffAdded ctermfg=LightGreen ctermbg=Black cterm=reverse
    hi DiffChange ctermfg=LightBlue ctermbg=Black cterm=reverse
    hi DiffDelete ctermfg=LightRed ctermbg=Black cterm=reverse
    hi DiffRemoved ctermfg=LightRed ctermbg=Black cterm=reverse
    hi DiffText ctermfg=LightGreen ctermbg=Black cterm=reverse
    hi Directory ctermfg=Blue ctermbg=NONE cterm=bold
    hi EndOfBuffer ctermfg=Black ctermbg=NONE cterm=NONE
    hi Error ctermfg=Red ctermbg=NONE cterm=bold,reverse
    hi! link ErrorMsg Error
    hi Folded ctermfg=DarkGrey ctermbg=Black cterm=NONE
    hi IncSearch ctermfg=Yellow ctermbg=Black cterm=reverse
    hi LineNr ctermfg=DarkGrey ctermbg=Black cterm=NONE
    hi MatchParen ctermfg=NONE ctermbg=DarkGrey cterm=bold
    hi ModeMsg ctermfg=Blue ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=Green ctermbg=NONE cterm=NONE
    hi NonText ctermfg=LightGrey ctermbg=NONE cterm=NONE
    hi Pmenu ctermfg=White ctermbg=DarkGrey cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=DarkGrey cterm=NONE
    hi PmenuSel ctermfg=Black ctermbg=LightGrey cterm=bold
    hi PmenuThumb ctermfg=NONE ctermbg=LightGrey cterm=NONE
    hi Question ctermfg=DarkYellow ctermbg=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search ctermfg=LightYellow ctermbg=Black cterm=reverse
    hi SpecialKey ctermfg=LightGrey ctermbg=NONE cterm=NONE
    hi SpellBad ctermfg=Red ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=Blue ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=Cyan ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=Magenta ctermbg=NONE cterm=underline
    hi StatusLine ctermfg=DarkGrey ctermbg=White cterm=reverse
    hi StatusLineNC ctermfg=Black ctermbg=LightGrey cterm=reverse
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill ctermfg=LightGrey ctermbg=DarkGrey cterm=NONE
    hi TabLineSel ctermfg=White ctermbg=Black cterm=NONE
    hi Title ctermfg=White ctermbg=NONE cterm=bold
    hi Visual ctermfg=NONE ctermbg=Black cterm=NONE
    hi! link VisualNOS Visual
    hi WarningMsg ctermfg=Red ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=Blue ctermbg=DarkGrey cterm=bold
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    hi! link Conditional Statement
    hi Constant ctermfg=Green ctermbg=NONE cterm=NONE
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Function ctermfg=Cyan ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=Blue ctermbg=NONE cterm=NONE
    hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi PreProc ctermfg=Cyan ctermbg=NONE cterm=NONE
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi Statement ctermfg=Red ctermbg=NONE cterm=NONE
    hi! link StorageClass Type
    hi Special ctermfg=Yellow ctermbg=NONE cterm=NONE
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Todo ctermfg=Cyan ctermbg=NONE cterm=reverse
    hi Type ctermfg=DarkCyan ctermbg=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine ctermfg=NONE ctermbg=DarkGrey cterm=NONE
    hi ToolbarButton ctermfg=White ctermbg=DarkGrey cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode ctermfg=LightGrey ctermbg=Black cterm=reverse
    hi InsertMode ctermfg=Blue ctermbg=Black cterm=reverse
    hi ReplaceMode ctermfg=Cyan ctermbg=Black cterm=reverse
    hi VisualMode ctermfg=Yellow ctermbg=Black cterm=reverse
    hi CommandMode ctermfg=Magenta ctermbg=Black cterm=reverse
    hi Warnings ctermfg=Yellow ctermbg=Black cterm=reverse
    if !s:italics
      hi CursorColumn cterm=bold
      hi CursorLine cterm=bold
    endif
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC ctermfg=Black ctermbg=White cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  if !has('gui_running') && get(g:, 'artesanal_transp_bg', 0)
    hi Normal ctermfg=Black ctermbg=NONE cterm=NONE
    hi CursorLineNr ctermfg=Yellow ctermbg=NONE cterm=NONE
    hi FoldColumn ctermfg=DarkGray ctermbg=NONE cterm=NONE
    hi SignColumn ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  else
    hi Normal ctermfg=Black ctermbg=White cterm=NONE
    hi CursorLineNr ctermfg=Yellow ctermbg=White cterm=NONE
    hi FoldColumn ctermfg=DarkGray ctermbg=White cterm=NONE
    hi SignColumn ctermfg=DarkGrey ctermbg=White cterm=NONE
    hi VertSplit ctermfg=DarkGrey ctermbg=White cterm=NONE
  endif
  hi ColorColumn ctermfg=NONE ctermbg=White cterm=bold
  hi Conceal ctermfg=Blue ctermbg=NONE cterm=NONE
  hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi CursorLine ctermfg=NONE ctermbg=NONE cterm=bold,italic
  hi DiffAdd ctermfg=LightGreen ctermbg=Black cterm=reverse
  hi DiffAdded ctermfg=LightGreen ctermbg=Black cterm=reverse
  hi DiffChange ctermfg=LightBlue ctermbg=Black cterm=reverse
  hi DiffDelete ctermfg=LightRed ctermbg=Black cterm=reverse
  hi DiffRemoved ctermfg=LightRed ctermbg=Black cterm=reverse
  hi DiffText ctermfg=LightGreen ctermbg=Black cterm=reverse
  hi Directory ctermfg=Blue ctermbg=NONE cterm=bold
  hi EndOfBuffer ctermfg=White ctermbg=NONE cterm=NONE
  hi Error ctermfg=Red ctermbg=NONE cterm=bold,reverse
  hi! link ErrorMsg Error
  hi Folded ctermfg=DarkGrey ctermbg=White cterm=NONE
  hi IncSearch ctermfg=Yellow ctermbg=Black cterm=reverse
  hi LineNr ctermfg=DarkGrey ctermbg=White cterm=NONE
  hi MatchParen ctermfg=NONE ctermbg=LightGrey cterm=bold
  hi ModeMsg ctermfg=Blue ctermbg=NONE cterm=NONE
  hi MoreMsg ctermfg=Green ctermbg=NONE cterm=NONE
  hi NonText ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi Pmenu ctermfg=Black ctermbg=LightGrey cterm=NONE
  hi PmenuSbar ctermfg=NONE ctermbg=LightGrey cterm=NONE
  hi PmenuSel ctermfg=White ctermbg=DarkGrey cterm=bold
  hi PmenuThumb ctermfg=NONE ctermbg=DarkGrey cterm=NONE
  hi Question ctermfg=DarkYellow ctermbg=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search ctermfg=LightYellow ctermbg=Black cterm=reverse
  hi SpecialKey ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi SpellBad ctermfg=Red ctermbg=NONE cterm=underline
  hi SpellCap ctermfg=Blue ctermbg=NONE cterm=underline
  hi SpellLocal ctermfg=Cyan ctermbg=NONE cterm=underline
  hi SpellRare ctermfg=Magenta ctermbg=NONE cterm=underline
  hi StatusLine ctermfg=LightGrey ctermbg=Black cterm=reverse
  hi StatusLineNC ctermfg=White ctermbg=DarkGrey cterm=reverse
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill ctermfg=DarkGrey ctermbg=DarkGrey cterm=NONE
  hi TabLineSel ctermfg=Black ctermbg=White cterm=NONE
  hi Title ctermfg=Black ctermbg=NONE cterm=bold
  hi Visual ctermfg=NONE ctermbg=White cterm=NONE
  hi! link VisualNOS Visual
  hi WarningMsg ctermfg=Red ctermbg=NONE cterm=NONE
  hi WildMenu ctermfg=Blue ctermbg=LightGrey cterm=bold
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi! link Conditional Statement
  hi Constant ctermfg=Green ctermbg=NONE cterm=NONE
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Function ctermfg=Cyan ctermbg=NONE cterm=NONE
  hi Identifier ctermfg=Blue ctermbg=NONE cterm=NONE
  hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi PreProc ctermfg=Cyan ctermbg=NONE cterm=NONE
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi Statement ctermfg=Red ctermbg=NONE cterm=NONE
  hi! link StorageClass Type
  hi Special ctermfg=Yellow ctermbg=NONE cterm=NONE
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Todo ctermfg=Cyan ctermbg=NONE cterm=reverse
  hi Type ctermfg=DarkCyan ctermbg=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine ctermfg=NONE ctermbg=DarkGrey cterm=NONE
  hi ToolbarButton ctermfg=Black ctermbg=DarkGrey cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode ctermfg=DarkGrey ctermbg=White cterm=reverse
  hi InsertMode ctermfg=Blue ctermbg=White cterm=reverse
  hi ReplaceMode ctermfg=Cyan ctermbg=White cterm=reverse
  hi VisualMode ctermfg=Yellow ctermbg=White cterm=reverse
  hi CommandMode ctermfg=Magenta ctermbg=White cterm=reverse
  hi Warnings ctermfg=Yellow ctermbg=White cterm=reverse
  if !s:italics
    hi CursorColumn cterm=bold
    hi CursorLine cterm=bold
  endif
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC ctermfg=White ctermbg=Black cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

" Background: light
" Color: fg0 #2e3440 ~   Black
" Color: fg1 #37474f ~   Black
" Color: fg2 #455a64 ~   DarkGrey
" Color: fg3 #546e7a ~   DarkGrey
" Color: fg4 #90a4ae ~   LightGrey
" Color: bg0 #eff1f4 ~   White
" Color: bg1 #e4e6eb ~   White
" Color: bg2 #cdd2db ~   LightGrey
" Color: bg3 #b6bdcb ~   DarkGrey
" Color: bg4 #9fa8ba ~   DarkGrey
" Color: black                #121419     ~        Black
" Color: darkgray             #575c66     ~        DarkGray
" Color: red                  #ae1528     ~        Red
" Color: brightred            #ddabbc     ~        LightRed
" Color: darkred              #971223     ~        DarkRed
" Color: green                #009a5a     ~        Green
" Color: brightgreen          #abddcc     ~        LightGreen
" Color: darkgreen            #00814b     ~        DarkGreen
" Color: yellow               #ff8c00     ~        Yellow
" Color: brightyellow         #ffc57f     ~        LightYellow
" Color: darkyellow           #cc7000     ~        DarkYellow
" Color: blue                 #004bb4     ~        Blue
" Color: brightblue           #aec0e0     ~        LightBlue
" Color: darkblue             #00409b     ~        DarkBlue
" Color: magenta              #b300a4     ~        Magenta
" Color: brightmagenta        #fc86ec     ~        LightMagenta
" Color: darkmagenta          #9a008d     ~        DarkMagenta
" Color: cyan                 #008d9a     ~        Cyan
" Color: brightcyan           #00d3e7     ~        LightCyan
" Color: darkcyan             #007681     ~        DarkCyan
" Color: white                #eff1f4     ~        White
" Color: brightwhite          #ffffff     ~        White
" Term Colors: black darkred darkgreen darkyellow darkblue darkmagenta darkcyan white
" Term Colors: darkgray red green yellow blue magenta cyan brightwhite
" Background: dark
" Color: fg0 #eff1f4 ~   White
" Color: fg1 #e4e6eb ~   White
" Color: fg2 #cdd2db ~   LightGrey
" Color: fg3 #b6bdcb ~   DarkGrey
" Color: fg4 #9fa8ba ~   DarkGrey
" Color: bg0 #2e3440 ~   Black
" Color: bg1 #37474f ~   Black
" Color: bg2 #455a64 ~   DarkGrey
" Color: bg3 #546e7a ~   DarkGrey
" Color: bg4 #90a4ae ~   LightGrey
" Color: black                #121419     ~        Black
" Color: darkgray             #575c66     ~        DarkGray
" Color: red                  #e84256     ~        Red
" Color: brightred            #ddabbc     ~        LightRed
" Color: darkred              #dc1b33     ~        DarkRed
" Color: green                #00bf8a     ~        Green
" Color: brightgreen          #abddcc     ~        LightGreen
" Color: darkgreen            #008c65     ~        DarkGreen
" Color: yellow               #fff176     ~        Yellow
" Color: brightyellow         #ffffa8     ~        LightYellow
" Color: darkyellow           #e5d85c     ~        DarkYellow
" Color: blue                 #6699cc     ~        Blue
" Color: brightblue           #aec0e0     ~        LightBlue
" Color: darkblue             #517aa3     ~        DarkBlue
" Color: magenta              #fa75e2     ~        Magenta
" Color: brightmagenta        #fc86ec     ~        LightMagenta
" Color: darkmagenta          #f844d8     ~        DarkMagenta
" Color: cyan                 #00bbcc     ~        Cyan
" Color: brightcyan           #99eaea     ~        LightCyan
" Color: darkcyan             #0095a3     ~        DarkCyan
" Color: white                #eff1f4     ~        White
" Color: brightwhite          #ffffff     ~        White
" Term Colors: darkgray red green yellow blue magenta cyan brightwhite
" Term Colors: black darkred darkgreen darkyellow darkblue darkmagenta darkcyan white
" vim: et ts=2 sw=2
